Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81755 - Statically linking against /usr/lib/nptl/*.a, glibc-2.3.1-34
Summary: Statically linking against /usr/lib/nptl/*.a, glibc-2.3.1-34
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 19:22 UTC by Jeff Johnson
Modified: 2016-11-24 15:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 13:50:25 UTC


Attachments (Terms of Use)

Description Jeff Johnson 2003-01-13 19:22:17 UTC
Attempting to statically link rpm against nptl from -34,
I get the following unresolved symbols with -L/usr/lib/nptl

/usr/lib/nptl/libpthread.a(lowlevelcond.o)(.text+0x5f): In function
`pthread_cond_wait':
: undefined reference to `__pthread_mutex_unlock_internal'
/usr/lib/nptl/libpthread.a(lowlevelcond.o)(.text+0x11b): In function
`pthread_cond_wait':
: undefined reference to `__pthread_mutex_lock_internal'
/usr/lib/nptl/libpthread.a(lowlevelcond.o)(.text+0x172): In function
`pthread_cond_timedwait':
: undefined reference to `__pthread_mutex_unlock_internal'
/usr/lib/nptl/libpthread.a(lowlevelcond.o)(.text+0x293): In function
`pthread_cond_timedwait':
: undefined reference to `__pthread_mutex_lock_internal'
collect2: ld returned 1 exit status

FWIW I don't see the symbols anywhere in /usr/lib/nptl/*.a nor in
/usr/include/{*.h,*/*.h}

Comment 1 Jakub Jelinek 2003-01-14 13:50:25 UTC
Should be fixed in nptl-devel-2.3.1-35 and above.


Note You need to log in before you can comment on or make changes to this bug.